/*
 * Copyright 2010-2012 Luca Garulli (l.garulli--at--orientechnologies.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.orientechnologies.orient.test.java.collection;

import com.orientechnologies.common.test.SpeedTestMonoThread;

public abstract class CollectionBaseAbstractSpeedTest extends SpeedTestMonoThread {
  protected Object searchedValue;
  protected int    collectionSize;

  protected CollectionBaseAbstractSpeedTest() {
  }

  protected CollectionBaseAbstractSpeedTest(long iCycles) {
    super(iCycles);
  }

  @Override
  public CollectionBaseAbstractSpeedTest config(Object... iParameters) {
    searchedValue = iParameters[0];
    collectionSize = ((Integer) iParameters[1]).intValue();
    return this;
  }
}
